org.codehaus.groovy.antlr.java

## Class Java2GroovyMain

- java.lang.Object
- - org.codehaus.groovy.antlr.java.Java2GroovyMain

-     public class Java2GroovyMain
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2GroovyMain()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `convert(java.lang.String filename, java.lang.String input)`
    `static java.lang.String` | `convert(java.lang.String filename, java.lang.String input, boolean withHeader, boolean withNewLines)`
    `static void` | `main(java.lang.String[] args)`
    `static java.lang.String` | `mindmap(java.lang.String input)`
    `static java.lang.String` | `nodePrinter(java.lang.String input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2GroovyMain

          public Java2GroovyMain()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### convert

          public static java.lang.String convert(java.lang.String filename,
                                 java.lang.String input)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### convert

          public static java.lang.String convert(java.lang.String filename,
                                 java.lang.String input,
                                 boolean withHeader,
                                 boolean withNewLines)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### mindmap

          public static java.lang.String mindmap(java.lang.String input)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### nodePrinter

          public static java.lang.String nodePrinter(java.lang.String input)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`